module.exports = (shell, options) => {

  shell
    .command('controller reset [type]')
    .autocomplete(['soft', 'hard'])
    .option('-y', 'Skips confirmation prompt for hard reset')
    .action(function(args, cb) {
      var self = this;
      if (!args.type) { args.type = 'soft'; }
      if (args.type == 'hard') {
        if (!args.options.y) {
          return this.prompt({
            type: 'confirm',
            name: 'reset',
            default: false,
            message: 'A hard reset will remove all configuration from the controller. Continue?'
          }, function (result) {
            if (result.reset) {
              shell.zwave.hardReset();
              self.log(shell.chalk.green('Controller successfully reset'));
            }
            cb();
          });
        } else {
          shell.zwave.hardReset();
          this.log(shell.chalk.green('Controller successfully reset'));
        }
      } else {
        shell.zwave.softReset();
        this.log(shell.chalk.green('Controller successfully reset'));
      }
      cb();
    });

};
